Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex.query
Class Query

    java.lang.Object
      |
      +--com.neoworks.jukex.query.Query

All Implemented Interfaces:
  java.io.Serializable

public class Query
extends java.lang.Object
implements java.io.Serializable

A Query object represents a parsed JukeXQL query, ready to execute.

Author:
  Nick Vincent (nick@neoworks.com)
See Also:
  Serialized Form

Method Summary
`AttributeValueResultSet` | `getAttributeValues()` Get a ResultSet containing the AttributeValues resulting from execution of this Query
`java.lang.String` | `getOriginalQuery()` Get the original query String that was parsed to create this object.
`java.lang.String` | `getSQL()` Get the SQL that will be executed on execution of this Query.
`java.util.List` | `getTracks()` Execute the created query and retrieve the Track objects of the results

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTracks

    public java.util.List getTracks()

  Execute the created query and retrieve the Track objects of the results

  Returns:
    A `List` of `Track` objects which match the specified query.

### getOriginalQuery

    public java.lang.String getOriginalQuery()

  Get the original query String that was parsed to create this object.

  Returns:
    The original query String

### getAttributeValues

    public AttributeValueResultSet getAttributeValues()

  Get a ResultSet containing the AttributeValues resulting from execution of this Query

  Returns:
    An AttributeValueResultSet containing the results of executing this Query

### getSQL

    public java.lang.String getSQL()

  Get the SQL that will be executed on execution of this Query.

  Returns:
    The SQL generated for this query

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD